Create a team (admin)
POST
/teams
const url = 'https://api.muninx.com/teams';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/teams \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example" }'Creates a team with a generated ID. Duplicate team names are allowed.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
Required on creation. After trimming, must be 1–100 UTF-8 bytes; duplicate names are allowed.
string
description
Optional description, limited to 2,000 UTF-8 bytes.
string
Example generated
{ "name": "example", "description": "example"}Responses
Section titled “ Responses ”Team created
Media type application/json
object
id
required
Immutable tenant-scoped team ID.
string
name
required
string
description
required
string
avatar
Avatar URL, present after upload.
string
created-at
required
string format: date-time
updated-at
required
string format: date-time
member-count
required
Number of assigned tenant memberships, including pending and suspended members.
integer
Example generated
{ "id": "example", "name": "example", "description": "example", "avatar": "example", "created-at": "2026-04-15T12:00:00Z", "updated-at": "2026-04-15T12:00:00Z", "member-count": 1}Invalid tenant ID or request body
Missing or invalid bearer token
Role is not permitted
Unable to create team